package com.ruoyi.project.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.framework.web.page.TableDataInfo;
import com.ruoyi.project.business.domain.TpParaRelatedCase;
import com.ruoyi.project.business.dto.TpCaseElevatorDto;
import com.ruoyi.project.business.dto.TpParaRelatedCaseDto;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author jubs
 */
public interface ITpParaRelatedCaseService extends IService<TpParaRelatedCase> {

    int saveOrUpdateDto(TpParaRelatedCaseDto tpParaRelatedCase);

    TableDataInfo getTableList(TpParaRelatedCaseDto tpParaRelatedCaseDto);

    TpParaRelatedCaseDto getInfoById(Long id);

    int changeStatus(TpParaRelatedCaseDto param);

    List<TpCaseElevatorDto> initData(Long caseId);

    List<Map<String, Object>> getInfoByTpElevatorModelId(Long tpElevatorModelId);

    int deleteById(Long id, Date updateTime);

}
